Skip to main content
POST
/
runners
/
trigger
Trigger a runner run
curl --request POST \
  --url https://ai.wisepilot.app/api/v1/runners/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "runner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_type": "<string>",
  "payload": {},
  "inputs": {}
}
'
{
  "success": true,
  "data": {
    "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "queued"
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Body

application/json
runner_id
string<uuid>
required

ID of the runner to trigger

website_id
string<uuid>

Website scope (auto-resolved for single-website API keys)

event_type
string

Optional event type (makes the trigger appear event-driven)

payload
object

Optional event payload passed to the runner

inputs
object

Optional input values merged with the runner's default inputs

Response

Run queued successfully

success
boolean
required
data
object